package com.mx.dla.admin.dtos;

import com.mx.dla.global.dtos.BaseDTO;

public class PermisoDTO extends BaseDTO {

	private static final long serialVersionUID = 1L;
	private Long idPerfil;
	private Long idMenu;
	private String nombre;
	private String selector;
	private Integer orden;
	private String script;
	private String parametros;
	private Long idMenuPadre;

	public Long getIdPerfil() {
		return idPerfil;
	}

	public void setIdPerfil(Long idPerfil) {
		this.idPerfil = idPerfil;
	}

	public Long getIdMenu() {
		return idMenu;
	}

	public void setIdMenu(Long idMenu) {
		this.idMenu = idMenu;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public void setSelector(String selector) {
		this.selector = selector;
	}

	public String getSelector() {
		return selector;
	}

	public Integer getOrden() {
		return orden;
	}

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	public String getScript() {
		return script;
	}

	public void setScript(String script) {
		this.script = script;
	}

	public String getParametros() {
		return parametros;
	}

	public void setParametros(String parametros) {
		this.parametros = parametros;
	}

	public Long getIdMenuPadre() {
		return idMenuPadre;
	}

	public void setIdMenuPadre(Long idMenuPadre) {
		this.idMenuPadre = idMenuPadre;
	}

}
